# Find libkww
#
# Usage:
#   find_package(KWW [REQUIRED] [QUIET])
#
# Sets the following variables:
#   - KWW_FOUND        .. true if library is found
#   - KWW_LIBRARIES    .. full path to library
#   - KWW_INCLUDE_DIR  .. full path to include directory
#
# Copyright 2015 Joachim Wuttke, Forschungszentrum Jülich.
# Redistribution permitted.

find_path(KWW_INCLUDE_DIR kww.h)
find_library(KWW_LIBRARIES NAMES kww KWW)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(KWW DEFAULT_MSG KWW_LIBRARIES KWW_INCLUDE_DIR)

include(AssertLibraryFunction)
assert_library_function(KWW kwwc "")
assert_library_function(KWW kwws "")
assert_library_function(KWW kwwp "")

mark_as_advanced(KWW_INCLUDE_DIR KWW_LIBRARIES)
