//**************************************************************************************************
//* libtrivia: various little routines for C++
//* file_ops: file operations
//* (C) Joachim Wuttke 2001, 2012-
//* http://apps.jcns.fz-juelich.de
//**************************************************************************************************

namespace triv {

    // Improved libc calls:
    void system( std::string cmd, bool debug=false );
    std::string system_read( std::string cmd, bool debug=false );

    // File names, globbing:
    bool file_exists( const std::string& fname );
    void fname_divide( const std::string& fname, std::string *fdir,
                       std::string *fshort, std::string *fext);
    std::vector<std::string> glob_file_list(
        const std::string& patterns, const std::string& extensions);
    std::string wordexp_unique( const std::string& s );
    std::vector<std::string> wordexp_multi( const std::string& s );
    std::string next_tmp_file( const std::string& path_format );

    // File read:
    bool freadln( FILE *fd, std::string *s );
}
